# Class TCLIService.AsyncProcessor<I extends TCLIService.AsyncIface>

java.lang.Object
org.apache.thrift.TBaseAsyncProcessor<I>
com.databricks.jdbc.model.client.thrift.generated.TCLIService.AsyncProcessor<I>

All Implemented Interfaces:
  `org.apache.thrift.TAsyncProcessor`, `org.apache.thrift.TProcessor`

Enclosing class:
  `TCLIService`

public static class TCLIService.AsyncProcessor<I extends TCLIService.AsyncIface> extends org.apache.thrift.TBaseAsyncProcessor<I>

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncProcessor.CancelDelegationToken<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.AsyncProcessor.CancelOperation<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.AsyncProcessor.CloseOperation<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.AsyncProcessor.CloseSession<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.AsyncProcessor.ExecuteStatement<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.AsyncProcessor.FetchResults<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.AsyncProcessor.GetCatalogs<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.AsyncProcessor.GetColumns<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.AsyncProcessor.GetCrossReference<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.AsyncProcessor.GetDelegationToken<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.AsyncProcessor.GetFunctions<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.AsyncProcessor.GetInfo<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.AsyncProcessor.GetOperationStatus<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.AsyncProcessor.GetPrimaryKeys<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.AsyncProcessor.GetResultSetMetadata<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.AsyncProcessor.GetSchemas<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.AsyncProcessor.GetTables<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.AsyncProcessor.GetTableTypes<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.AsyncProcessor.GetTypeInfo<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.AsyncProcessor.OpenSession<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.AsyncProcessor.RenewDelegationToken<I extends TCLIService.AsyncIface>`

## Field Summary

### Fields inherited from class org.apache.thrift.TBaseAsyncProcessor

`LOGGER`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`AsyncProcessor(I iface)`
`protected`
`AsyncProcessor(I iface, Map<String,org.apache.thrift.AsyncProcessFunction<I,? extends org.apache.thrift.TBase,?>> processMap)`

## Method Summary

### Methods inherited from class org.apache.thrift.TBaseAsyncProcessor

`getProcessMapView, process, process`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AsyncProcessor

public AsyncProcessor(I iface)

### AsyncProcessor

protected AsyncProcessor(I iface, Map<String,org.apache.thrift.AsyncProcessFunction<I,? extends org.apache.thrift.TBase,?>> processMap)